#ifndef MARS_MRead
#define MARS_MRead

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MFilter;

class MRead : public MTask
{
private:
    MFilter *fSelector;

public:
    MRead() : fSelector(NULL) {}

    virtual UInt_t GetEntries() = 0;

    void SetSelector(MFilter *f) { fSelector = f; }
    MFilter *GetSelector() { return fSelector; }

    Int_t AddFile(const char *fname, Int_t entries=-1) { return -1; }

    Bool_t ReadEnv(const TEnv &env, TString prefix, Bool_t print);

    ClassDef(MRead, 0)	// Base class for a reading task
};

#endif
